Package com.independentsoft.office.charts

# Class BarChart

java.lang.Object
com.independentsoft.office.charts.Chart
com.independentsoft.office.charts.BarChart

public class BarChart extends Chart
The Class BarChart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BarChart()`
  Instantiates a new bar chart.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BarChart`
  `clone()`
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `BarDirection`
  `getDirection()`
  Gets the direction.
  `ExtensionList`
  `getExtensionList()`
  Gets the chart extension list (`c:extLst`).
  `long`
  `getFirstAxisID()`
  Gets the first axis id.
  `int`
  `getGapWidth()`
  Gets the gap width.
  `BarGrouping`
  `getGrouping()`
  Gets the grouping.
  `int`
  `getOverlap()`
  Gets the overlap.
  `long`
  `getSecondAxisID()`
  Gets the second axis id.
  `List<BarChartSerie>`
  `getSeries()`
  Gets the series.
  `SeriesLines`
  `getSeriesLines()`
  Gets the series lines.
  `boolean`
  `hasVaryColors()`
  Checks for vary colors.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setDirection​(BarDirection direction)`
  Sets the direction.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the chart extension list (`c:extLst`).
  `void`
  `setFirstAxisID​(long firstAxisID)`
  Sets the first axis id.
  `void`
  `setGapWidth​(int gapWidth)`
  Sets the gap width.
  `void`
  `setGrouping​(BarGrouping grouping)`
  Sets the grouping.
  `void`
  `setOverlap​(int overlap)`
  Sets the overlap.
  `void`
  `setSecondAxisID​(long secondAxisID)`
  Sets the second axis id.
  `void`
  `setSeriesLines​(SeriesLines seriesLines)`
  Sets the series lines.
  `void`
  `setVaryColors​(boolean varyColors)`
  Sets the vary colors.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BarChart

    public BarChart()
    Instantiates a new bar chart.

- ## Method Details

  - ### clone

    public BarChart clone()
    Specified by:
      `clone` in class `Chart`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the chart extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the chart extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getFirstAxisID

    public long getFirstAxisID()
    Gets the first axis id.
    Returns:
      the first axis id

  - ### setFirstAxisID

    public void setFirstAxisID​(long firstAxisID)
    Sets the first axis id.
    Parameters:
      `firstAxisID` - the new first axis id

  - ### getSecondAxisID

    public long getSecondAxisID()
    Gets the second axis id.
    Returns:
      the second axis id

  - ### setSecondAxisID

    public void setSecondAxisID​(long secondAxisID)
    Sets the second axis id.
    Parameters:
      `secondAxisID` - the new second axis id

  - ### getDirection

    public BarDirection getDirection()
    Gets the direction.
    Returns:
      the direction

  - ### setDirection

    public void setDirection​(BarDirection direction)
    Sets the direction.
    Parameters:
      `direction` - the new direction

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getGapWidth

    public int getGapWidth()
    Gets the gap width.
    Returns:
      the gap width

  - ### setGapWidth

    public void setGapWidth​(int gapWidth)
    Sets the gap width.
    Parameters:
      `gapWidth` - the new gap width

  - ### getGrouping

    public BarGrouping getGrouping()
    Gets the grouping.
    Returns:
      the grouping

  - ### setGrouping

    public void setGrouping​(BarGrouping grouping)
    Sets the grouping.
    Parameters:
      `grouping` - the new grouping

  - ### getOverlap

    public int getOverlap()
    Gets the overlap.
    Returns:
      the overlap

  - ### setOverlap

    public void setOverlap​(int overlap)
    Sets the overlap.
    Parameters:
      `overlap` - the new overlap

  - ### getSeries

    public List<BarChartSerie> getSeries()
    Gets the series.
    Returns:
      the series

  - ### getSeriesLines

    public SeriesLines getSeriesLines()
    Gets the series lines.
    Returns:
      the series lines

  - ### setSeriesLines

    public void setSeriesLines​(SeriesLines seriesLines)
    Sets the series lines.
    Parameters:
      `seriesLines` - the new series lines

  - ### hasVaryColors

    public boolean hasVaryColors()
    Checks for vary colors.
    Returns:
      true, if successful

  - ### setVaryColors

    public void setVaryColors​(boolean varyColors)
    Sets the vary colors.
    Parameters:
      `varyColors` - the new vary colors